export declare type ReferrerDetails = {
    url: string;
    clickTime: string;
    appInstallTime: string;
    instantExperienceLaunched: boolean;
};
export declare type ReferrerError = 'RUNTIME_EXCEPTION' | 'FEATURE_NOT_SUPPORTED' | 'SERVICE_UNAVAILABLE' | 'DEVELOPER_ERROR';
export default function useInstallReferrer(): {
    isIdle: boolean;
    isLoading: boolean;
    isError: boolean;
    isSuccess: boolean;
    data: ReferrerDetails | undefined;
    error: "RUNTIME_EXCEPTION" | "FEATURE_NOT_SUPPORTED" | "SERVICE_UNAVAILABLE" | "DEVELOPER_ERROR" | undefined;
};
